<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Aanmaken of bijwerken 2017 (2.16.840.1.113883.2.4.3.11.60.42.4.34 2017-01-01T00:00:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pcc:hl7v3" prefix="ihe"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <ns uri="http://hl7.org/fhir" prefix="f"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario BasicHealthDataSet-createUpdate-2017 -->

   <!-- CDABasisgegevenssetZorg2017 -->
   <pattern>
      <title>CDABasisgegevenssetZorg2017</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.1'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100001']]"
                 see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.1-2022-09-23T160202.html">(CDABasisgegevenssetZorg2017): In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.1'] and hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.100001']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.1-2022-09-23T160202.sch"/>
   <!--<include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.1-2022-09-23T160202-closed.sch"/>-->


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.1-2022-09-23T160202"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.5-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9067-2016-06-17T102209"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9069-2016-06-17T163405"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9083-2016-06-21T100220"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9102-2016-06-24T133045"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9114-2016-07-10T170744"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9117-2016-07-10T194752"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9149-2016-07-25T134340"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9160-2016-11-09T134526"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9166-2017-05-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9175-2017-05-22T171022"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9189-2017-10-26T161543"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9233-2018-12-04T130547"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9235-2018-12-04T143321"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9241-2018-12-04T150624"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9246-2018-12-05T101627"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9248-2018-12-05T103359"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9250-2018-12-05T111532"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9256-2018-12-06T150455"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9258-2018-12-06T160248"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9259-2018-12-06T160523"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9263-2018-12-11T154012"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9270-2018-12-18T111500"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9271-2018-12-18T112127"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.25.10.52-2022-12-20T141314"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.25.10.53-2021-10-27T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.25.10.54-2021-10-27T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.26-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.30-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.14-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.16-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.18-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.19-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.21-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.22-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.27-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.29-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.11-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.15-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.16-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.18-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.19-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.21-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.27-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.29-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.9-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.31-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.35-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.36-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.10-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.11-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.12-2021-10-28T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.13-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.15-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.16-2022-05-25T155823"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.17-2022-12-20T160301"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.19-2017-02-05T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.4-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.5-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.6-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.8-2022-09-23T155651"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.9-2017-10-24T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.5.10.1-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.2-2021-08-30T144635"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.28-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.10-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.19-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.20-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.21-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.23-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.24-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.25-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.42-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.5-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.85-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2022-06-14T092753"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.30-2017-10-25T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.31-2021-08-30T141627"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.34-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.35-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.4-2021-08-30T144551"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.40-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.41-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.42-2021-10-28T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.43-2022-04-11T144955"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.44-2018-01-20T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.45-2018-02-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.47-2017-12-05T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.57-2022-12-20T160044"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.61-2021-07-09T000000"/>
   </phase>
   <phase id="CDABasisgegevenssetZorg2017">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.1-2022-09-23T160202"/>
   </phase>
   <!--<phase id="CDABasisgegevenssetZorg2017-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.1-2022-09-23T160202-closed"/>
   </phase>-->
   <phase id="NotificationOrganizer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1-2008-08-08T000000"/>
   </phase>
   <phase id="NotifiableCondition">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.1-2008-08-08T000000"/>
   </phase>
   <phase id="Caseidentification">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.2-2008-08-08T000000"/>
   </phase>
   <phase id="Outbreakidentification">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="SpecimenCollection">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000"/>
   </phase>
   <phase id="SpecimenReceived">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryBatteryOrganizer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryObservation">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000"/>
   </phase>
   <phase id="NonHumanSubject">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000"/>
   </phase>
   <phase id="Humanpatientwithnonhumansubject">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000"/>
   </phase>
   <phase id="Laboratoryresultsvalidator">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.5-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryPerformer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000"/>
   </phase>
   <phase id="IHECommentEntry">
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
   </phase>
   <phase id="Stoptype">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9067-2016-06-17T102209"/>
   </phase>
   <phase id="Toelichting">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9069-2016-06-17T163405"/>
   </phase>
   <phase id="RedenToedieningsAfspraak">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9083-2016-06-21T100220"/>
   </phase>
   <phase id="MPMedBehIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838"/>
   </phase>
   <phase id="MPCDAAanvullendeInstructie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818"/>
   </phase>
   <phase id="MPMAIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009"/>
   </phase>
   <phase id="MPTAIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316"/>
   </phase>
   <phase id="MPVSIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9102-2016-06-24T133045"/>
   </phase>
   <phase id="RedenMedicatieGebruik">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9114-2016-07-10T170744"/>
   </phase>
   <phase id="MPCDAVolgensAfspraak">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9117-2016-07-10T194752"/>
   </phase>
   <phase id="MPCDADosering">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9149-2016-07-25T134340"/>
   </phase>
   <phase id="RedenVanVoorschrijven">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9160-2016-11-09T134526"/>
   </phase>
   <phase id="MPMAVoorschrijver">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9166-2017-05-16T000000"/>
   </phase>
   <phase id="MPCDATAAanvullendeInformatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9175-2017-05-22T171022"/>
   </phase>
   <phase id="MPMGIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626"/>
   </phase>
   <phase id="MPCDAMAAanvullendeInformatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315"/>
   </phase>
   <phase id="MPCDAGebruikindicator">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9189-2017-10-26T161543"/>
   </phase>
   <phase id="MPCDAKopieIndicator">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847"/>
   </phase>
   <phase id="MPCDAMedicatieAfspraakSchemaInhoud2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9233-2018-12-04T130547"/>
   </phase>
   <phase id="MPCDAMedicatieAfspraakSchema3">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9235-2018-12-04T143321"/>
   </phase>
   <phase id="MPCDAMedicatieAfspraakSchemaKopie2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9241-2018-12-04T150624"/>
   </phase>
   <phase id="MPCDAMedicatiegebruikSchema4">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9246-2018-12-05T101627"/>
   </phase>
   <phase id="MPCDAMedicatiegebruikSchemaKopie2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9248-2018-12-05T103359"/>
   </phase>
   <phase id="MPCDAMedicatiegebruikSchemaInhoud2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9250-2018-12-05T111532"/>
   </phase>
   <phase id="MPCDAMedicationInformation2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451"/>
   </phase>
   <phase id="MPCDAToedieningsafspraakSchemaInhoud2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9256-2018-12-06T150455"/>
   </phase>
   <phase id="MPCDAToedieningsafspraakSchemaKopie2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9258-2018-12-06T160248"/>
   </phase>
   <phase id="MPCDAToedieningsafspraakSchema3">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9259-2018-12-06T160523"/>
   </phase>
   <phase id="MPCDAMedicationInformationProposal2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9263-2018-12-11T154012"/>
   </phase>
   <phase id="RedenMedicatieAfspraak2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9270-2018-12-18T111500"/>
   </phase>
   <phase id="RedenWijzStopMedicatieGebruik2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9271-2018-12-18T112127"/>
   </phase>
   <phase id="Laboratoryspecialtysection-20221220T141314">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.25.10.52-2022-12-20T141314"/>
   </phase>
   <phase id="LaboratoryReportDataProcessingEntry-20211027T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.25.10.53-2021-10-27T000000"/>
   </phase>
   <phase id="Laboratoryreportitemsection-20211027T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.25.10.54-2021-10-27T000000"/>
   </phase>
   <phase id="zorgverlener-assignedEntity-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.26-2018-06-11T000000"/>
   </phase>
   <phase id="informant-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.30-2018-06-11T000000"/>
   </phase>
   <phase id="toelichting-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000"/>
   </phase>
   <phase id="playingEntity-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2018-06-11T000000"/>
   </phase>
   <phase id="scopingEntity-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2018-06-11T000000"/>
   </phase>
   <phase id="tabakGebruik-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.14-2018-06-11T000000"/>
   </phase>
   <phase id="tabakgebruikstatus-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.16-2018-06-11T000000"/>
   </phase>
   <phase id="alcoholGebruik-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.18-2018-06-11T000000"/>
   </phase>
   <phase id="alcoholgebruikstatus-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.19-2018-06-11T000000"/>
   </phase>
   <phase id="drugsgebruikstatus-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.21-2018-06-11T000000"/>
   </phase>
   <phase id="drugsGebruik-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.22-2018-06-11T000000"/>
   </phase>
   <phase id="VitaleFunctiesCDAOrganizer-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.27-2018-06-11T000000"/>
   </phase>
   <phase id="kleding-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.29-2018-06-11T000000"/>
   </phase>
   <phase id="wijze_van_blootstelling">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.11-2018-06-11T000000"/>
   </phase>
   <phase id="alert_name-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.15-2018-06-11T000000"/>
   </phase>
   <phase id="mate_van_kritiek_zijn">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.16-2018-06-11T000000"/>
   </phase>
   <phase id="severity_observation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.18-2018-06-11T000000"/>
   </phase>
   <phase id="problem_observation-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.19-2018-06-11T000000"/>
   </phase>
   <phase id="problem_status-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000"/>
   </phase>
   <phase id="product_instance">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.21-2018-06-11T000000"/>
   </phase>
   <phase id="zorgverlener-participantRole-body-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.27-2018-06-11T000000"/>
   </phase>
   <phase id="participant_LOC-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.29-2018-06-11T000000"/>
   </phase>
   <phase id="alert_observation-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.9-2018-06-11T000000"/>
   </phase>
   <phase id="positie-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.31-2018-06-11T000000"/>
   </phase>
   <phase id="contactpersoon-header-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.35-2018-06-11T000000"/>
   </phase>
   <phase id="contactpersoon-body">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.36-2018-06-11T000000"/>
   </phase>
   <phase id="BgZ2017Medication">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.10-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017MedicalDevices">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.11-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Immunizations-20211028T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.12-2021-10-28T000000"/>
   </phase>
   <phase id="BgZ2017VitalSigns">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.13-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Procedures">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.15-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Encounters-20220525T155823">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.16-2022-05-25T155823"/>
   </phase>
   <phase id="BgZ2017CarePlan-20221220T160301">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.17-2022-12-20T160301"/>
   </phase>
   <phase id="Voorgeschiedenis">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000"/>
   </phase>
   <phase id="BgZ2017Betaler">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.19-2017-02-05T000000"/>
   </phase>
   <phase id="BgZ2017TreatmentDirectives">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.4-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017FunctionalStatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.5-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017ComplaintsAndDiagnoses">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.6-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017SocialAnamesis">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000"/>
   </phase>
   <phase id="BgZ2017Alerts-20220923T155651">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.8-2022-09-23T155651"/>
   </phase>
   <phase id="BgZ2017Allergies">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.42.10.9-2017-10-24T000000"/>
   </phase>
   <phase id="behandelaanwijzing">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.5.10.1-2018-01-20T000000"/>
   </phase>
   <phase id="LaboratoryBatteryOrganizerSpecimen-20210830T144635">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.2-2021-08-30T144635"/>
   </phase>
   <phase id="lichaamsgewicht-20171025T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.28-2017-10-25T000000"/>
   </phase>
   <phase id="SpecimenCollectionHCIM">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000"/>
   </phase>
   <phase id="reaction_observation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.10-2017-10-25T000000"/>
   </phase>
   <phase id="problem_active">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.19-2017-10-25T000000"/>
   </phase>
   <phase id="problem_status_active">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.20-2017-10-25T000000"/>
   </phase>
   <phase id="problem_status_inactive">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.21-2018-01-20T000000"/>
   </phase>
   <phase id="procedure_activity-20171025T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.23-2017-10-25T000000"/>
   </phase>
   <phase id="procedure_observation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.24-2017-10-25T000000"/>
   </phase>
   <phase id="problem_inactive">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.25-2018-01-20T000000"/>
   </phase>
   <phase id="verrichting">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.42-2017-10-25T000000"/>
   </phase>
   <phase id="allergie_en_intolerantie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.5-2017-10-25T000000"/>
   </phase>
   <phase id="medisch_hulpmiddel_organizer">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.85-2017-10-25T000000"/>
   </phase>
   <phase id="alert_concern_act-20220614T092753">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2022-06-14T092753"/>
   </phase>
   <phase id="lichaamslengte-20171025T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.30-2017-10-25T000000"/>
   </phase>
   <phase id="LaboratoryObservationNL-20210830T141627">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.31-2021-08-30T141627"/>
   </phase>
   <phase id="woonsituatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.34-2018-01-20T000000"/>
   </phase>
   <phase id="bloeddruk_organizer">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.35-2018-01-20T000000"/>
   </phase>
   <phase id="LaboratoryIsolateOrganizerSpecimen-20210830T144551">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.4-2021-08-30T144551"/>
   </phase>
   <phase id="voedingsadvies">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.40-2018-01-20T000000"/>
   </phase>
   <phase id="functionele_of_mentale_status">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.41-2018-01-20T000000"/>
   </phase>
   <phase id="vaccinatie-20211028T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.42-2021-10-28T000000"/>
   </phase>
   <phase id="contact-20220411T144955">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.43-2022-04-11T144955"/>
   </phase>
   <phase id="wilsverklaring">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.44-2018-01-20T000000"/>
   </phase>
   <phase id="problem_concern_act">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.45-2018-02-10T000000"/>
   </phase>
   <phase id="LaboratoryObservationRequestNL">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.47-2017-12-05T000000"/>
   </phase>
   <phase id="allergie_concern_act">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000"/>
   </phase>
   <phase id="problem_verificationstatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008"/>
   </phase>
   <phase id="nursing_intervention-20221220T160044">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.57-2022-12-20T160044"/>
   </phase>
   <phase id="order_overig">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.61-2021-07-09T000000"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- NotificationOrganizer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1-2008-08-08T000000.sch"/>
   <!-- NotifiableCondition -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1.1-2008-08-08T000000.sch"/>
   <!-- Caseidentification -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1.2-2008-08-08T000000.sch"/>
   <!-- Outbreakidentification -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1.3-2008-08-08T000000.sch"/>
   <!-- SpecimenCollection -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.sch"/>
   <!-- SpecimenReceived -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000.sch"/>
   <!-- LaboratoryBatteryOrganizer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000.sch"/>
   <!-- LaboratoryObservation -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.sch"/>
   <!-- NonHumanSubject -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000.sch"/>
   <!-- Humanpatientwithnonhumansubject -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.sch"/>
   <!-- Laboratoryresultsvalidator -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.5-2008-08-08T000000.sch"/>
   <!-- LaboratoryPerformer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.sch"/>
   <!-- IHECommentEntry -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000.sch"/>
   <!-- Stoptype -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9067-2016-06-17T102209.sch"/>
   <!-- Toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9069-2016-06-17T163405.sch"/>
   <!-- RedenToedieningsAfspraak -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9083-2016-06-21T100220.sch"/>
   <!-- MPMedBehIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838.sch"/>
   <!-- MPCDAAanvullendeInstructie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818.sch"/>
   <!-- MPMAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009.sch"/>
   <!-- MPTAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316.sch"/>
   <!-- MPVSIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9102-2016-06-24T133045.sch"/>
   <!-- RedenMedicatieGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9114-2016-07-10T170744.sch"/>
   <!-- MPCDAVolgensAfspraak -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9117-2016-07-10T194752.sch"/>
   <!-- MPCDADosering -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9149-2016-07-25T134340.sch"/>
   <!-- RedenVanVoorschrijven -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9160-2016-11-09T134526.sch"/>
   <!-- MPMAVoorschrijver -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9166-2017-05-16T000000.sch"/>
   <!-- MPCDATAAanvullendeInformatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9175-2017-05-22T171022.sch"/>
   <!-- MPMGIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626.sch"/>
   <!-- MPCDAMAAanvullendeInformatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315.sch"/>
   <!-- MPCDAGebruikindicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9189-2017-10-26T161543.sch"/>
   <!-- MPCDAKopieIndicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaInhoud2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9233-2018-12-04T130547.sch"/>
   <!-- MPCDAMedicatieAfspraakSchema3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9235-2018-12-04T143321.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaKopie2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9241-2018-12-04T150624.sch"/>
   <!-- MPCDAMedicatiegebruikSchema4 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9246-2018-12-05T101627.sch"/>
   <!-- MPCDAMedicatiegebruikSchemaKopie2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9248-2018-12-05T103359.sch"/>
   <!-- MPCDAMedicatiegebruikSchemaInhoud2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9250-2018-12-05T111532.sch"/>
   <!-- MPCDAMedicationInformation2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451.sch"/>
   <!-- MPCDAToedieningsafspraakSchemaInhoud2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9256-2018-12-06T150455.sch"/>
   <!-- MPCDAToedieningsafspraakSchemaKopie2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9258-2018-12-06T160248.sch"/>
   <!-- MPCDAToedieningsafspraakSchema3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9259-2018-12-06T160523.sch"/>
   <!-- MPCDAMedicationInformationProposal2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9263-2018-12-11T154012.sch"/>
   <!-- RedenMedicatieAfspraak2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9270-2018-12-18T111500.sch"/>
   <!-- RedenWijzStopMedicatieGebruik2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9271-2018-12-18T112127.sch"/>
   <!-- Laboratoryspecialtysection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.25.10.52-2022-12-20T141314.sch"/>
   <!-- LaboratoryReportDataProcessingEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.25.10.53-2021-10-27T000000.sch"/>
   <!-- Laboratoryreportitemsection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.25.10.54-2021-10-27T000000.sch"/>
   <!-- zorgverlener-assignedEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.26-2018-06-11T000000.sch"/>
   <!-- informant -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.30-2018-06-11T000000.sch"/>
   <!-- toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000.sch"/>
   <!-- playingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2018-06-11T000000.sch"/>
   <!-- scopingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2018-06-11T000000.sch"/>
   <!-- tabakGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.14-2018-06-11T000000.sch"/>
   <!-- tabakgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.16-2018-06-11T000000.sch"/>
   <!-- alcoholGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.18-2018-06-11T000000.sch"/>
   <!-- alcoholgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.19-2018-06-11T000000.sch"/>
   <!-- drugsgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.21-2018-06-11T000000.sch"/>
   <!-- drugsGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.22-2018-06-11T000000.sch"/>
   <!-- VitaleFunctiesCDAOrganizer -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.27-2018-06-11T000000.sch"/>
   <!-- kleding -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.29-2018-06-11T000000.sch"/>
   <!-- wijze_van_blootstelling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.11-2018-06-11T000000.sch"/>
   <!-- alert_name -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.15-2018-06-11T000000.sch"/>
   <!-- mate_van_kritiek_zijn -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.16-2018-06-11T000000.sch"/>
   <!-- severity_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.18-2018-06-11T000000.sch"/>
   <!-- problem_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.19-2018-06-11T000000.sch"/>
   <!-- problem_status -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000.sch"/>
   <!-- product_instance -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.21-2018-06-11T000000.sch"/>
   <!-- zorgverlener-participantRole-body -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.27-2018-06-11T000000.sch"/>
   <!-- participant_LOC -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.29-2018-06-11T000000.sch"/>
   <!-- alert_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.9-2018-06-11T000000.sch"/>
   <!-- positie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.31-2018-06-11T000000.sch"/>
   <!-- contactpersoon-header -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.35-2018-06-11T000000.sch"/>
   <!-- contactpersoon-body -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.36-2018-06-11T000000.sch"/>
   <!-- BgZ2017Medication -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.10-2017-10-24T000000.sch"/>
   <!-- BgZ2017MedicalDevices -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.11-2017-10-24T000000.sch"/>
   <!-- BgZ2017Immunizations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.12-2021-10-28T000000.sch"/>
   <!-- BgZ2017VitalSigns -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.13-2017-10-24T000000.sch"/>
   <!-- BgZ2017Procedures -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.15-2017-10-24T000000.sch"/>
   <!-- BgZ2017Encounters -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.16-2022-05-25T155823.sch"/>
   <!-- BgZ2017CarePlan -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.17-2022-12-20T160301.sch"/>
   <!-- Voorgeschiedenis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.18-2018-01-20T000000.sch"/>
   <!-- BgZ2017Betaler -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.19-2017-02-05T000000.sch"/>
   <!-- BgZ2017TreatmentDirectives -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.4-2017-10-24T000000.sch"/>
   <!-- BgZ2017FunctionalStatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.5-2017-10-24T000000.sch"/>
   <!-- BgZ2017ComplaintsAndDiagnoses -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.6-2017-10-24T000000.sch"/>
   <!-- BgZ2017SocialAnamesis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.sch"/>
   <!-- BgZ2017Alerts -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.8-2022-09-23T155651.sch"/>
   <!-- BgZ2017Allergies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.42.10.9-2017-10-24T000000.sch"/>
   <!-- behandelaanwijzing -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.5.10.1-2018-01-20T000000.sch"/>
   <!-- LaboratoryBatteryOrganizerSpecimen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.2-2021-08-30T144635.sch"/>
   <!-- lichaamsgewicht -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.28-2017-10-25T000000.sch"/>
   <!-- SpecimenCollectionHCIM -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000.sch"/>
   <!-- reaction_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.10-2017-10-25T000000.sch"/>
   <!-- problem_active -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.19-2017-10-25T000000.sch"/>
   <!-- problem_status_active -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.20-2017-10-25T000000.sch"/>
   <!-- problem_status_inactive -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.21-2018-01-20T000000.sch"/>
   <!-- procedure_activity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.23-2017-10-25T000000.sch"/>
   <!-- procedure_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.24-2017-10-25T000000.sch"/>
   <!-- problem_inactive -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.25-2018-01-20T000000.sch"/>
   <!-- verrichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.42-2017-10-25T000000.sch"/>
   <!-- allergie_en_intolerantie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.5-2017-10-25T000000.sch"/>
   <!-- medisch_hulpmiddel_organizer -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.85-2017-10-25T000000.sch"/>
   <!-- alert_concern_act -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2022-06-14T092753.sch"/>
   <!-- lichaamslengte -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.30-2017-10-25T000000.sch"/>
   <!-- LaboratoryObservationNL -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.31-2021-08-30T141627.sch"/>
   <!-- woonsituatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.34-2018-01-20T000000.sch"/>
   <!-- bloeddruk_organizer -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.35-2018-01-20T000000.sch"/>
   <!-- LaboratoryIsolateOrganizerSpecimen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.4-2021-08-30T144551.sch"/>
   <!-- voedingsadvies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.40-2018-01-20T000000.sch"/>
   <!-- functionele_of_mentale_status -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.41-2018-01-20T000000.sch"/>
   <!-- vaccinatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.42-2021-10-28T000000.sch"/>
   <!-- contact -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.43-2022-04-11T144955.sch"/>
   <!-- wilsverklaring -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.44-2018-01-20T000000.sch"/>
   <!-- problem_concern_act -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.45-2018-02-10T000000.sch"/>
   <!-- LaboratoryObservationRequestNL -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.47-2017-12-05T000000.sch"/>
   <!-- allergie_concern_act -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.sch"/>
   <!-- problem_verificationstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008.sch"/>
   <!-- nursing_intervention -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.57-2022-12-20T160044.sch"/>
   <!-- order_overig -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.61-2021-07-09T000000.sch"/>

</schema>
