<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.1.5
Name: maritialStatusCode
Description: Template voor de weergave van burgerlijke staat van een patiënt. Burgerlijke staat is de formele positie van een mens in de zin en betekenis van het burgerlijk wetboek. Te onderscheiden vallen huwelijkse staat en partnerregistratie (geregistreerd partnerschap).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000">
   <title>maritialStatusCode</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.1.5
Context: *[hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]]
Item: (burgerlijke_staat)
-->

   <rule fpi="RULC-1"
         context="*[hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]]"
         id="d42e20172-false-d62818e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="count(hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]) &lt;= 1">(burgerlijke_staat): element hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.1.5
Context: *[hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]]/hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]
Item: (burgerlijke_staat)
-->

   <rule fpi="RULC-1"
         context="*[hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]]/hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]"
         id="d42e20181-false-d62833e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(burgerlijke_staat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.7.9.1-2015-04-01T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(burgerlijke_staat): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.7.9.1 BurgerlijkeStaatCodelijst (2015-04-01T00:00:00)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']) &gt;= 1">(burgerlijke_staat): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']) &lt;= 1">(burgerlijke_staat): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.1.5
Context: *[hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]]/hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']
Item: (burgerlijke_staat)
-->

   <rule fpi="RULC-1"
         context="*[hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]]/hl7:maritalStatusCode[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.1.5']"
         id="d42e20202-false-d62861e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(burgerlijke_staat): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.1.5-2015-06-22T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.3.10.1.5')">(burgerlijke_staat): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.1.5' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
</pattern>
