<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Name: diastolisch eindpunt
Description: Template voor de weergave van de diastolisch eindpunt. Voor BgZ is dat laatst bekende diastolisch eindpunt
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000">
   <title>diastolisch eindpunt</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Context: //hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (diastolisch_eindpunt)
-->

   <rule fpi="RULC-1"
         context="//hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e40299-false-d226055e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="string(@classCode) = ('OBS')">(diastolisch_eindpunt): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="string(@moodCode) = ('EVN')">(diastolisch_eindpunt): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(diastolisch_eindpunt): element hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(diastolisch_eindpunt): element hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:text) &lt;= 1">(diastolisch_eindpunt): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(diastolisch_eindpunt): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(diastolisch_eindpunt): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(diastolisch_eindpunt): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(diastolisch_eindpunt): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Context: //hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:id
Item: (diastolisch_eindpunt)
-->

   <rule fpi="RULC-1"
         context="//hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:id"
         id="d42e40305-false-d226109e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(diastolisch_eindpunt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Context: //hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (diastolisch_eindpunt)
-->

   <rule fpi="RULC-1"
         context="//hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e40311-false-d226120e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(diastolisch_eindpunt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="@nullFlavor or (@code='85549003' and @codeSystem='2.16.840.1.113883.6.96')">(diastolisch_eindpunt): de elementwaarde MOET een zijn van 'code '85549003' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="@displayName">(diastolisch_eindpunt): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Context: //hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:text
Item: (diastolisch_eindpunt)
-->

   <rule fpi="RULC-1"
         context="//hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:text"
         id="d42e40325-false-d226139e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(diastolisch_eindpunt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Context: //hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:effectiveTime
Item: (diastolisch_eindpunt)
-->

   <rule fpi="RULC-1"
         context="//hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:effectiveTime"
         id="d42e40332-false-d226149e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(diastolisch_eindpunt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="not(*)">(diastolisch_eindpunt): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.37
Context: //hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (diastolisch_eindpunt)
-->

   <rule fpi="RULC-1"
         context="//hl7:observation[hl7:code[(@code = '85549003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e40343-false-d226165e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(diastolisch_eindpunt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.37-2018-01-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2-2017-12-31T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(diastolisch_eindpunt): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.12.4.2 DiastolischEindpuntCodelijst (2017-12-31T00:00:00)'.</assert>
   </rule>
</pattern>
